<?php
/*
+ ----------------------------------------------------------------------------------------------------+
|        e107 website system 
|        Plugin File :  e107_plugins/lightbox/plugin.php
|        Email: support@free-source.net
|        $Revision: 372 $
|        $Date: 2007-02-12 23:22:29 +0200 (Mon, 12 Feb 2007) $
|        $Author: secretr $
|        Copyright Corllete Lab ( http://www.clabteam.com ) under GNU GPL License (http://gnu.org)
|        Support Sites : http://www.free-source.net/ | http://dev.e107bg.org/
+----------------------------------------------------------------------------------------------------+
*/
if (!defined('e107_INIT')) { exit; }

$lan_file = e_PLUGIN."lightbox/languages/".e_LANGUAGE.".php";
include_lan($lan_file);

// Plugin info -------------------------------------------------------------------------------------------------------
$eplug_name = LB_LAN_6;
$eplug_version = "1.4";
$eplug_author = "SonicE &amp; SecretR @Corllete Lab";
$eplug_url = "http://free-source.net";
$eplug_email = "support@free-source.net";
$eplug_description = LB_LAN_5;
$eplug_compatible = "e107 v0.77+";
$eplug_readme = "";       
$eplug_compliant = TRUE;
// Name of the plugin's folder -------------------------------------------------------------------------------------
$eplug_folder = "lightbox";

// Icon image and caption text ------------------------------------------------------------------------------------
$eplug_icon = $eplug_folder."/images/icon.png";
$eplug_icon_small = $eplug_folder."/images/icon_16.png";
$eplug_logo = $eplug_folder."/images/icon.png";

// List of preferences -----------------------------------------------------------------------------------------------
$eplug_prefs = array(
        "lightb_rspeed" => '7',
		"lightb_bsize"  => '10',
        "lightb_margin" => '0,0,0,0',
        "lightb_enabled" => '1',
        "lightb_ovop" => '0.8',
        "lightb_animate" => '1',
		"lightb_window" => '1',
		"lightb_wtheme" => 'lightbox',
		"lightb_wperms" => e_UC_MEMBER,
		"lightb_advwperms" => e_UC_ADMIN,
		"lightb_version" => $eplug_version
);


// List of preferences -----------------------------------------------------------------------------------------------
$eplug_module = TRUE;
$eplug_conffile = "admin_config.php";


// Create a link in main menu (yes=TRUE, no=FALSE) -------------------------------------------------------------
$eplug_link = FALSE;

// Text to display after plugin successfully installed ------------------------------------------------------------------
$eplug_done = LB_LAN_4;

$eplug_uninstall_done = "";

// upgrading ... v. < 1.3 compat//

$upgrade_add_prefs = array(
        "lightb_rspeed" => varset($pref['lightb_rspeed'], '7'),
		"lightb_bsize"  => varset($pref['lightb_bsize'], '10'),
        "lightb_margin" => varset($pref['lightb_margin'], '0,0,0,0'),
		"lightb_window" => varset($pref['lightb_window'], '1'),
        "lightb_enabled" => '1',
        "lightb_ovop" => '0.8',
        "lightb_animate" => '1',
		"lightb_wtheme" => varset($pref['lightb_wtheme'], 'lightbox'),	
		"lightb_wperms" => varset($pref['lightb_wperms'], e_UC_MEMBER),
		"lightb_advwperms" => varset($pref['lightb_advwperms'], e_UC_ADMIN),
		"lightb_version" => $eplug_version
);

$upgrade_remove_prefs = array(
		"lightb_tmar"   => '0',
		"lightb_rmar"   => '0',
		"lightb_bmar"   => '0',
		"lightb_lmar"   => '0',
);

$upgrade_alter_tables = "";

$eplug_upgrade_done = "";
?>